'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var handlersFactory = function handlersFactory(_ref) {
  var _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === undefined ? false : _ref$disabled,
      _ref$onSelectKey = _ref.onSelectKey,
      onSelectKey = _ref$onSelectKey === undefined ? 'Enter' : _ref$onSelectKey,
      value = _ref.value,
      onSelect = _ref.onSelect;

  var handleClick = function handleClick(ev) {
    if (!disabled) onSelect(ev, { value: value });
  };

  var handleKeyDown = function handleKeyDown(ev) {
    var key = ev.key;

    var isStringOnSelectKey = typeof onSelectKey === 'string';
    var isPressedOnSelectKey = isStringOnSelectKey ? key === onSelectKey : onSelectKey.includes(key);

    if (isPressedOnSelectKey && !disabled) {
      ev.preventDefault();
      onSelect(ev, { value: value });
    }
  };

  var handleFocus = function handleFocus(ev) {
    ev.preventDefault();
    ev.stopPropagation();
  };

  return { handleClick: handleClick, handleKeyDown: handleKeyDown, handleFocus: handleFocus };
};

exports.default = handlersFactory;